Subject: celvis and cxterm (was Re: editor? )

From: [email-masked]
Date: Mon, 21 Oct 1991 02:35:02 EST

XiaoFei Wang <[email-masked]> wrote:
>  The msdos version
>  from purdue in zip format seems nothing but an elvis. It can edit
>  English but not Chinese. For one thing, there is not any font in the
>  package.

celvis is nothing but an editor with Chinese handling capability.
It requires to a Chinese terminal emulator or Chinese system,
such as cxterm, or ETen DOS.

>  Now Stephen said that msdos version works with ET. What is an `ET'?
>  Is that an operationg system? Then we have two OS MSDOS and ET, can
>  they run together ? Is ET free ?

It's a commercial Chinese DOS for IBM-PC, run on top of MSDOS.
Just like CCDOS is the most widely used Chinese DOS in mainland China,
ET is probably the most widely used Chinese DOS in Taiwan.
Unfortunely, it is not free.

>  Now I also have a question about the cxterm. My guess is it opens a
>  Chinese window. Is this Chinese window something UNDER the X11 Window
>  or Open Window, i.e. one has to open one of the X11 Window and OpenWin
>  in order to open Chinese Window? Or One has directly open Chinese
>  Window without openning the X11 or OpenWin? Since we are using Chinese
>  Window, then I do not know why there is this special notice for
>  OpenWin?

Cxterm is just like xterm.  It is an application of some window system
(in technical term, a client program of some window server).  You have
to start X11 (or OpenWin) to run cxterm.

Windowing systems such as X11 manage the input/output devices (display,
keyboard, and mouse) and the software resources like windows, fonts, etc.
They thus provide a higher abstraction and relieve the window application
programs from worrying about details like handling overlap, or painting
bitmaps for a certain character.  The generality of such window system
makes multilingual application much easier.  Once a Chinese font file is
given, you can display Chinese on X11 without any changes to the systems.
That's why we don't need to develop a Chinese window system to use Chinese.

> I gave a try for Celvis without Chinese Win opened and Fonts installed.
> I belive it should behave exactly as elvis or vi. But it does not know
> the following command:
>
> :r ~/.cshrc
>
> I have elvis compiled and I did not recall it has such obvious problem.
> Is this a problem with Celvis implemention?

Celvis is base on elvis 1.3.  You still cannot use ~ as home directory in
elvis 1.3.  The version of elvis you have is probably the newer elvis 1.4,
in which this problem is fixed.  By the way elvis 1.5 is in its beta test
and may be out soon.  I think I will probably wait for elvis 1.5 before
I jump to celvis 1.4.

--ygz